SMBTREE(1)

NAME
smbtree - A text based smb network browser

SYNOPSIS

smbtree [-b] [-D] [-S]

DESCRIPTION

This tool is part of the samba(7) suite.

smbtree is a smb browser program in text mode. It is similar to the "Network Neighborhood" found on Windows computers. It prints a tree with all the known domains, the servers in those domains and the shares on the servers.

OPTIONS

-b
    Query network nodes by sending requests as broadcasts instead of querying the local master browser.

-D
    Only print a list of all the domains known on broadcast or by the master browser

-S
    Only print a list of all the domains and servers responding on broadcast or known by the master browser.

-d|--debuglevel=level
    level is an integer from 0 to 10. The default value if this parameter is not specified is 0.

    The higher this value, the more detail will be logged to the log files about the activities of the server. At level 0, only critical errors and serious warnings will be logged. Level 1 is a reasonable level for day-to-day running - it generates a small amount of information about operations carried out.

    Levels above 1 will generate considerable amounts of log data, and should only be used when investigating a problem. Levels above 3 are designed for use only by developers and generate HUGE amounts of log data, most of which is extremely cryptic.

    Note that specifying this parameter here will override the smb.conf.5.html# parameter in the smb.conf file.

-V|--version
    Prints the program version number.

-s|--configfile <configuration file>
    The file specified contains the configuration details required by the server. The information in this file includes server-specific information such as what printcap file to use, as well as descriptions of all the services that the server is to provide. See smb.conf for more information. The default configuration file name is determined at compile time.

-l|--log-basename=logdirectory
    Base directory name for log/debug files. The extension ".progname" will be appended (e.g. log.smbclient, log.smbd, etc...). The log file is never removed by the client.

-N|--no-pass
    If specified, this parameter suppresses the normal password prompt from the client to the user. This is useful when accessing a service that does not require a password.

    Unless a password is specified on the command line or this parameter is specified, the client will request a password.

    If a password is specified on the command line and this option is also defined the password on the command line will be silently ingnored and no password will be used.

-k|--kerberos
    Try to authenticate with kerberos. Only useful in an Active Directory environment.

-A|--authentication-file=filename
    This option allows you to specify a file from which to read the username and password used in the connection. The format of the file is

        username = <value>
        password = <value>
        domain   = <value>

    Make certain that the permissions on the file restrict access from unwanted users.

-U|--user=username[%password]
    Sets the SMB username or username and password.

    If %password is not specified, the user will be prompted. The client will first check the USER environment variable, then the LOGNAME variable and if either exists, the string is uppercased. If these environmental variables are not found, the username GUEST is used.

    A third option is to use a credentials file which contains the plaintext of the username and password. This option is mainly provided for scripts where the admin does not wish to pass the credentials on the command line or via environment variables. If this method is used, make certain that the permissions on the file restrict access from unwanted users. See the -A for more details.

    Be cautious about including passwords in scripts. Also, on many systems the command line of a running process may be seen via the ps command. To be safe always allow rpcclient to prompt for a password and type it in directly.

-h|--help
    Print a summary of command line options.

VERSION

This man page is correct for version 3 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The smbtree man page was written by Jelmer Vernooij.